# -*coding: UTF-8 -*-
from threading import Thread
from time import sleep
from sys import stdout

def visiteur():
    print("Bonjour, c'est Nicolas. Je monte te voir")
    #temps pour Nicolas nécessaire pour monter à l'étage
    sleep(5)
    print("Toc Toc Toc\n")

if __name__ == '__main__':
    print('Dring')
    sleep(1)
    print('Oui ? Qui est ce ?')
    threadVisitor = Thread(target=visiteur)
    threadVisitor.start()
    sleep(1)
    print("Ok, dépêche toi alors")

    while threadVisitor.isAlive():
        stdout.write('z'*3)
        stdout.flush()
        sleep(0.4)

    print("Ah, te voilà ! J'ai bien failli attendre !")
